Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::NumericValueEncoding Struct Reference
Inheritance diagram for peripheral::GatewaySensorManager::NumericValueEncoding:

## Public Attributes

float | scalingFactor
| multiply with when interpreting as numeric value
float | offset
| add value after applying scalingFactor
Public Attributes inherited from peripheral::GatewaySensorManager::ValueEncoding
string | encodingId
| encoding type id
EncodingType | type
| value coding type
boolean | invertState
| invert when interpreting as state
vector< InterpretationRule > | interpretationRules
| error/value interpretation rules
int | minAccessInterval
| minimum time interval between two read accesses in seconds

## Detailed Description

Definition at line 527 of file GatewaySensorManager.idl.

## Member Data Documentation

## offset

float peripheral::GatewaySensorManager::NumericValueEncoding::offset

add value after applying scalingFactor

Definition at line 529 of file GatewaySensorManager.idl.

## scalingFactor

float peripheral::GatewaySensorManager::NumericValueEncoding::scalingFactor

multiply with when interpreting as numeric value

Definition at line 528 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl